%{?nodejs_find_provides_and_requires}

%global enable_tests 0

Name:       nodejs-dep-graph
Version:    1.1.0
Release:    2%{?dist}
Summary:    Simple dependency graph management in JavaScript
# License text is included in README.mdown
License:    MIT
Group:      System Environment/Libraries
URL:        https://github.com/TrevorBurnham/dep-graph
Source0:    http://registry.npmjs.org/dep-graph/-/dep-graph-%{version}.tgz
BuildArch:  noarch

BuildRequires:  nodejs-devel
BuildRequires:  coffee-script
BuildRequires:  npm(watchit)

%if 0%{?enable_tests}
BuildRequires:  npm(nodeunit)
%endif

%description
This is a Node.js module for simple dependency graph management in JavaScript.

Say you have a set of resources that depend on each other in some way. These
resources can be anything (eg, files, chains of command etc.).
All that matters is that each one has a unique string identifier, and a list
of direct dependencies.

dep-graph makes it easy to compute "chains" of dependencies, with guaranteed
logical ordering and no duplicates. That's trivial in most cases, but if A
depends on B and B depends on A, a naïve dependency graph would get trapped
in an infinite loop. dep-graph throws an error if any such "cycles" are
detected.


%prep
%setup -q -n package
%nodejs_fixdep underscore '1.4.x'
# Build these from source instead.
rm -rf lib/


%build
ln -sf %{nodejs_sitelib} .
/usr/bin/cake build


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/dep-graph
cp -pr package.json lib/ \
    %{buildroot}%{nodejs_sitelib}/dep-graph

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
cake test
%endif


%files
%doc README.mdown docs/
%{nodejs_sitelib}/dep-graph


%changelog
* Sun Jun 16 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.1.0-2
- unconditionalize 'cake build'
- improve Summary

* Wed Feb 13 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.1.0-1
- initial package
